Index: /trunk/src/paper01/fig14/stratus_validation_net_2001_2002_all_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/stratus_validation_net_2001_2002_all_v10.pro	(revision 93)
+++ /trunk/src/paper01/fig14/stratus_validation_net_2001_2002_all_v10.pro	(revision 94)
@@ -117,88 +117,136 @@
 ;; reading other data sets
 
-st1=20011019 & en1=20021022
+st1=20011019 
+en1=20021022
 
 file=project_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
-swr=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr=grossemoyenne(swr, "xy", box=box,/nan) & swr=reform(swr)
+swr=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr=grossemoyenne(swr, "xy", box=box,/nan) 
+swr=reform(swr)
 file=project_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lwr=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) & lwr=reform(lwr)
+lwr=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) 
+lwr=reform(lwr)
 file=project_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-shf=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf=reform(shf)
+shf=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf=reform(shf)
 file=project_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lhf=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf=reform(lhf)
+lhf=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf=reform(lhf)
 
 era=swr+lwr+lhf+shf
 help, era
 
-swr=0 & lwr=0 & lhf=0 & shf=0
+swr=0 
+lwr=0 
+lhf=0 
+shf=0
 
 file=project_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
-swr=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr=grossemoyenne(swr, "xy",/nan, box=box) & swr=reform(swr)
-lwr=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) & lwr=grossemoyenne(lwr, "xy",/nan, box=box) & lwr=reform(lwr)
-shf=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf=grossemoyenne(shf, "xy",/nan, box=box) & shf=reform(shf)
-lhf=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf=grossemoyenne(lhf, "xy",/nan, box=box) & lhf=reform(lhf)
+swr=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr=grossemoyenne(swr, "xy",/nan, box=box) 
+swr=reform(swr)
+lwr=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) 
+lwr=grossemoyenne(lwr, "xy",/nan, box=box) 
+lwr=reform(lwr)
+shf=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf=grossemoyenne(shf, "xy",/nan, box=box) 
+shf=reform(shf)
+lhf=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf=grossemoyenne(lhf, "xy",/nan, box=box) 
+lhf=reform(lhf)
 
 file=project_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
-olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) & olr1=grossemoyenne(olr1, "xy",/nan, box=box) & olr1=reform(olr1)
+olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) 
+olr1=grossemoyenne(olr1, "xy",/nan, box=box) 
+olr1=reform(olr1)
 
 trop=swr+lwr+shf+lhf
 olr=olr1+lwr+shf+lhf
 help, trop, olr
-swr=0 & lwr=0 & lhf=0 & shf=0 & olr1=0
+swr=0 
+lwr=0 
+lhf=0 
+shf=0 
+olr1=0
 
 file=project_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
-swr=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr=grossemoyenne(swr, "xy",/nan, box=box) & swr=reform(swr)
+swr=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) 
+swr=grossemoyenne(swr, "xy",/nan, box=box) 
+swr=reform(swr)
 
 file=project_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
-lwr=read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr=-1*reform(lwr)
+lwr=read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) 
+lwr=-1*reform(lwr)
 
 file=project_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
-lhf=read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf=-1*reform(lhf)
+lhf=read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) 
+lhf=-1*reform(lhf)
 
 file=project_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
-shf=read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf=-1*reform(shf)
+shf=read_ncdf("shf", st1, en1, file=file,/nostr, box=box) 
+shf=-1*reform(shf)
 
 oaf=swr+lwr+shf+lhf
 help, oaf
-swr=0 & lwr=0 & lhf=0 & shf=0
+swr=0 
+lwr=0 
+lhf=0 
+shf=0
 
 fi=project_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
-swr=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) & swr=grossemoyenne(swr, "xy",/nan, box=box) & swr=reform(swr)
+swr=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) 
+swr=grossemoyenne(swr, "xy",/nan, box=box) 
+swr=reform(swr)
 
 fi=project_id_env+"NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
-lwr=read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) & lwr=grossemoyenne(lwr, "xy",/nan, box=box) & lwr=reform(lwr)
+lwr=read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) 
+lwr=grossemoyenne(lwr, "xy",/nan, box=box) 
+lwr=reform(lwr)
 lwr=-1*lwr
 
 fi=project_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-lhf=read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) & lhf=-1*reform(lhf)
+lhf=read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) 
+lhf=-1*reform(lhf)
 
 fi=project_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-shf=read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) & shf=-1*reform(shf)
+shf=read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) 
+shf=-1*reform(shf)
 
 nce2=swr+lwr+shf+lhf
 help, nce2
 
-swr=0 & lwr=0 & lhf=0 & shf=0
+swr=0 
+lwr=0 
+lhf=0 
+shf=0
 
 file=project_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
-swr=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr=grossemoyenne(swr, "xy",/nan, box=box) & swr=reform(swr)
-lwr=read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr=grossemoyenne(lwr, "xy",/nan, box=box) & lwr=reform(lwr)
-shf=read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf=grossemoyenne(shf, "xy",/nan, box=box) & shf=reform(shf)
-lhf=read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf=grossemoyenne(lhf, "xy",/nan, box=box) & lhf=reform(lhf)
+swr=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) 
+swr=grossemoyenne(swr, "xy",/nan, box=box) 
+swr=reform(swr)
+lwr=read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) 
+lwr=grossemoyenne(lwr, "xy",/nan, box=box) 
+lwr=reform(lwr)
+shf=read_ncdf("shf", st1, en1, file=file,/nostr, box=box) 
+shf=grossemoyenne(shf, "xy",/nan, box=box) 
+shf=reform(shf)
+lhf=read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) 
+lhf=grossemoyenne(lhf, "xy",/nan, box=box) 
+lhf=reform(lhf)
 
 nce1=swr+lwr+shf+lhf
@@ -206,5 +254,10 @@
 
 ind=where(finite(net))
-net=net(ind) & era=era(ind) & trop=trop(ind) & oaf=oaf(ind) & nce2=nce2(ind) & nce1=nce1(ind)
+net=net(ind) 
+era=era(ind) 
+trop=trop(ind) 
+oaf=oaf(ind) 
+nce2=nce2(ind) 
+nce1=nce1(ind)
 olr=olr(ind)
 
Index: /trunk/src/paper01/fig14/subdctn_cs_validation_net_1991_93_all_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/subdctn_cs_validation_net_1991_93_all_v10.pro	(revision 93)
+++ /trunk/src/paper01/fig14/subdctn_cs_validation_net_1991_93_all_v10.pro	(revision 94)
@@ -139,85 +139,148 @@
 ;; reading other data sets
 
-st1=19910623 & en1=19930616
+st1=19910623 
+en1=19930616
 
 file=project_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
 file=project_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
+lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
 file=project_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
+shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
 file=project_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
+lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
 
 era=swr1+lwr1+lhf1+shf1
-swr1=0 & lwr1=0 & shf1=0 & lhf1=0
+swr1=0 
+lwr1=0 
+shf1=0 
+lhf1=0
 help, era
 
 file=project_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
-lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
+lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
+shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
+lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
 trop=swr1+lwr1+lhf1+shf1
 
 file=project_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
-olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) & olr1=grossemoyenne(olr1, "xy",/nan, box=box) & olr1=reform(olr1)
+olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) 
+olr1=grossemoyenne(olr1, "xy",/nan, box=box) 
+olr1=reform(olr1)
 
 olr=olr1+lwr1+shf1+lhf1
 help, trop, olr
-swr1=0 & lwr1=0 & shf1=0 & lhf1=0 & olr1=0
+swr1=0 
+lwr1=0 
+shf1=0 
+lhf1=0 
+olr1=0
 
 file=project_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
-swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
+swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy",/nan, box=box) 
+swr1=reform(swr1)
 file=project_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
-lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
+lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) 
+lwr1=reform(lwr1)
 file=project_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
-lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
+lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) 
+lhf1=reform(lhf1)
 file=project_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
-shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
+shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy",/nan, box=box) 
+shf1=reform(shf1)
 
 oaf=swr1+lwr1+lhf1+shf1
 help, oaf
-swr1=0 & lwr1=0 & shf1=0 & lhf1=0 & olr1=0
+swr1=0 
+lwr1=0 
+shf1=0 
+lhf1=0 
+olr1=0
 
 fi=project_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
-swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
+swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy",/nan, box=box) 
+swr1=reform(swr1)
 fi=project_id_env+"NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
-lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
+lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) 
+lwr1=reform(lwr1)
 fi=project_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
+lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) 
+lhf1=reform(lhf1)
 fi=project_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
+shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy",/nan, box=box) 
+shf1=reform(shf1)
 
 nce2=swr1+lwr1+lhf1+shf1
 help, nce2
-swr1=0 & lwr1=0 & shf1=0 & lhf1=0 & olr1=0
+swr1=0 
+lwr1=0 
+shf1=0 
+lhf1=0 
+olr1=0
 
 file=project_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
 
-lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
+lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
+shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
+lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
 nce1=swr1+(lwr1+shf1+lhf1)
 help, nce1
 
 ind=where(finite(net))
-net=net(ind) & era=era(ind) & trop=trop(ind) & oaf=oaf(ind) & nce2=nce2(ind) & nce1=nce1(ind)
+net=net(ind) 
+era=era(ind) 
+trop=trop(ind) 
+oaf=oaf(ind) 
+nce2=nce2(ind) 
+nce1=nce1(ind)
 olr=olr(ind)
 
Index: /trunk/src/paper01/fig14/subdctn_ses_validation_net_1991_93_all_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/subdctn_ses_validation_net_1991_93_all_v10.pro	(revision 93)
+++ /trunk/src/paper01/fig14/subdctn_ses_validation_net_1991_93_all_v10.pro	(revision 94)
@@ -130,77 +130,143 @@
 ;; reading other data sets
 
-st1=19920209 & en1=19920911
-st2=19920921 & en2=19930618
+st1=19920209 
+en1=19920911
+st2=19920921 
+en2=19930618
 
 file=project_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
-swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy", box=box,/nan) & swr2=reform(swr2)
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
+swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy", box=box,/nan) 
+swr2=reform(swr2)
 
 file=project_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-lhf2=-1*read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) & lhf2=reform(lhf2)
+lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
+lhf2=-1*read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) 
+lhf2=reform(lhf2)
 
 file=project_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-shf2=-1*read_ncdf('shf',st2,en2,file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy", box=box,/nan) & shf2=reform(shf2)
+shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
+shf2=-1*read_ncdf('shf',st2,en2,file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy", box=box,/nan) 
+shf2=reform(shf2)
 
 file=project_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
-lwr2=read_ncdf('lwr',st2-1,en2,file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) & lwr2=reform(lwr2)
-
-net1=swr1+(lwr1+shf1+lhf1) & net2=swr2+(lwr2+shf2+lhf2)
+lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
+lwr2=read_ncdf('lwr',st2-1,en2,file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) 
+lwr2=reform(lwr2)
+
+net1=swr1+(lwr1+shf1+lhf1) 
+net2=swr2+(lwr2+shf2+lhf2)
 era=[net1,net2]
 help, era
 
-lhf1=0. & lhf2=0. & shf1=0. & shf2=0.
-lwr1=0. & lwr2=0. & swr1=0. & swr2=0.
-net1=0. & net2=0.
+lhf1=0. 
+lhf2=0. 
+shf1=0. 
+shf2=0.
+lwr1=0. 
+lwr2=0. 
+swr1=0. 
+swr2=0.
+net1=0. 
+net2=0.
 
 file=project_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
-lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) & lhf2=reform(lhf2)
-shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy", box=box,/nan) & shf2=reform(shf2)
-lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
-lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) & lwr2=reform(lwr2)
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
-swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy", box=box,/nan) & swr2=reform(swr2)
+lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
+lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) 
+lhf2=reform(lhf2)
+shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
+shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy", box=box,/nan) 
+shf2=reform(shf2)
+lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
+lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) 
+lwr2=reform(lwr2)
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
+swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy", box=box,/nan) 
+swr2=reform(swr2)
 
 file=project_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
-olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) & olr1=grossemoyenne(olr1, "xy",/nan, box=box) & olr1=reform(olr1)
-olr2=read_ncdf("sw", st2-1, en2, file=file,/nostr, box=box) & olr2=grossemoyenne(olr2, "xy",/nan, box=box) & olr2=reform(olr2)
-
-net1=swr1+lwr1+(shf1+lhf1) & net2=swr2+lwr2+(shf2+lhf2)
-neto_1=olr1+lwr1+lhf1+shf1 & neto_2=olr2+lwr2+lhf2+shf2
-trop=[net1,net2] & olr=[neto_1,neto_2]
+olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) 
+olr1=grossemoyenne(olr1, "xy",/nan, box=box) 
+olr1=reform(olr1)
+olr2=read_ncdf("sw", st2-1, en2, file=file,/nostr, box=box) 
+olr2=grossemoyenne(olr2, "xy",/nan, box=box) 
+olr2=reform(olr2)
+
+net1=swr1+lwr1+(shf1+lhf1) 
+net2=swr2+lwr2+(shf2+lhf2)
+neto_1=olr1+lwr1+lhf1+shf1 
+neto_2=olr2+lwr2+lhf2+shf2
+trop=[net1,net2] 
+olr=[neto_1,neto_2]
 help, trop, olr
 
 file=project_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
-swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
-swr2=read_ncdf("swr", st2, en2, file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy",/nan, box=box) & swr2=reform(swr2)
+swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy",/nan, box=box) 
+swr1=reform(swr1)
+swr2=read_ncdf("swr", st2, en2, file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy",/nan, box=box) 
+swr2=reform(swr2)
 
 file=project_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
-lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
-lwr2=-1*read_ncdf("lwr", st2, en2, file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) & lwr2=reform(lwr2)
+lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) 
+lwr1=reform(lwr1)
+lwr2=-1*read_ncdf("lwr", st2, en2, file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) 
+lwr2=reform(lwr2)
 
 file=project_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
-lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
-lhf2=-1*read_ncdf("lhf", st2, en2, file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) & lhf2=reform(lhf2)
+lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) 
+lhf1=reform(lhf1)
+lhf2=-1*read_ncdf("lhf", st2, en2, file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) 
+lhf2=reform(lhf2)
 
 file=project_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
-shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
-shf2=-1*read_ncdf("shf", st2, en2, file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy",/nan, box=box) & shf2=reform(shf2)
-
-net1=swr1+lwr1+lhf1+shf1 & net2=swr2+lwr2+lhf2+shf2
+shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy",/nan, box=box) 
+shf1=reform(shf1)
+shf2=-1*read_ncdf("shf", st2, en2, file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy",/nan, box=box) 
+shf2=reform(shf2)
+
+net1=swr1+lwr1+lhf1+shf1 
+net2=swr2+lwr2+lhf2+shf2
 oaf=[net1,net2]
 help, oaf
@@ -208,23 +274,40 @@
 fi=project_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
-swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
-swr2=read_ncdf("swr", st2, en2, file=fi,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy",/nan, box=box) & swr2=reform(swr2)
+swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy",/nan, box=box) 
+swr1=reform(swr1)
+swr2=read_ncdf("swr", st2, en2, file=fi,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy",/nan, box=box) 
+swr2=reform(swr2)
 
 fi=project_id_env+"NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
-lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
-lwr2=-1*read_ncdf("lwr", st2, en2, file=fi,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) & lwr2=reform(lwr2)
+lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) 
+lwr1=reform(lwr1)
+lwr2=-1*read_ncdf("lwr", st2, en2, file=fi,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) 
+lwr2=reform(lwr2)
 
 fi=project_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
-lhf2=-1*read_ncdf("lhf", st2, en2, file=fi,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) & lhf2=reform(lhf2)
+lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) 
+lhf1=reform(lhf1)
+lhf2=-1*read_ncdf("lhf", st2, en2, file=fi,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) 
+lhf2=reform(lhf2)
 
 fi=project_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
-shf2=-1*read_ncdf("shf", st2, en2, file=fi,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy",/nan, box=box) & shf2=reform(shf2)
-
-net1=swr1+lwr1+lhf1+shf1 & net2=swr2+lwr2+lhf2+shf2
+shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy",/nan, box=box) 
+shf1=reform(shf1)
+shf2=-1*read_ncdf("shf", st2, en2, file=fi,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy",/nan, box=box) 
+shf2=reform(shf2)
+
+net1=swr1+lwr1+lhf1+shf1 
+net2=swr2+lwr2+lhf2+shf2
 nce2=[net1,net2]
 help, nce2
@@ -232,13 +315,30 @@
 file=project_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
-lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) & lhf2=reform(lhf2)
-shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy", box=box,/nan) & shf2=reform(shf2)
-lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
-lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) & lwr2=reform(lwr2)
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
-swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy", box=box,/nan) & swr2=reform(swr2)
-net1=swr1+(lwr1+shf1+lhf1) & net2=swr2+(lwr2+shf2+lhf2)
+lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
+lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) 
+lhf2=reform(lhf2)
+shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
+shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy", box=box,/nan) 
+shf2=reform(shf2)
+lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
+lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) 
+lwr2=reform(lwr2)
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
+swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy", box=box,/nan) 
+swr2=reform(swr2)
+net1=swr1+(lwr1+shf1+lhf1) 
+net2=swr2+(lwr2+shf2+lhf2)
 nce1=[net1,net2]
 
@@ -246,5 +346,10 @@
 
 ind=where(finite(net))
-net=net(ind) & era=era(ind) & trop=trop(ind) & oaf=oaf(ind) & nce2=nce2(ind) & nce1=nce1(ind)
+net=net(ind) 
+era=era(ind) 
+trop=trop(ind) 
+oaf=oaf(ind) 
+nce2=nce2(ind) 
+nce1=nce1(ind)
 olr=olr(ind)
 
